Subject: New Reply Received - Kindly cancel my order no 6482128904 and process my refund. It’s been a month u failed to deliver.
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 17 May 2020 12:50:11 +0000

Hi Mhd Obiedo,  The customer has responded to the ticket.  Kindly cancel my order no 6482128904 and process my refund. It’s been a month u failed to deliver.  Ticket comment <div>Order was placed on 15 April 20. Even by today I couldn’t get my order. I went up to smsa for delivery too. They told me that the parcel is still with landmark group,I raised in numerous complains inquiring and ur staff responding that they will be soon delivering but alluseless</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1046675